#! /usr/bin/env python3
from datetime import datetime
from pathlib import Path

from parse import parse, wiki_stats


def print_wiki_stats(filename: str) -> None:
    path = Path(filename)
    timestamp = datetime.fromtimestamp(path.stat().st_ctime)
    print(f"Stand: {timestamp.strftime('%d.%m.%Y %H:%M Uhr')}")
    print(wiki_stats(*parse(path)))


if __name__ == "__main__":
    print_wiki_stats("koma89_pretixdata.json")
